#ifndef VITUNES_H
#define VITUNES_H

#include "uinterface.h"
#include "media_library.h"
#include "media_player.h"
#include "shameful_limits.h"

typedef struct
{
   /* the core components of vitunes */
   uinterface    *ui;
   media_library *library;
   media_player  *mplayer;

   /* the copy/paste buffer */
   meta_info    **copy_buff;
   int            copy_buff_size;

   /* record keeping  */
   int   viewing_playlist;
   int   playing_playlist;

} vitunes;

#endif
