#ifndef VIUI_H
#define VIUI_H

#include <stdarg.h>
#include "vitunes.h"

/* routines for painting each of the windows */
void viui_draw_playlists(vitunes *v);
void viui_draw_medialist(vitunes *v);
void viui_draw_player(vitunes *v);
void viui_draw_command(vitunes *v);

/* the command row (bottom one) can be used to display errors as well */
void viui_draw_command_error(vitunes *v, char *fmt, ...);
void viui_draw_command_mesg(vitunes *v, char *fmt, ...);

void viui_draw_row(window *w, int row, Alignment a, const char *str);

#endif
